<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GStreamer Bad Plugins 1.0 Plugins Reference Manual: geometrictransform</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="GStreamer Bad Plugins 1.0 Plugins Reference Manual">
<link rel="up" href="ch02.html" title="gst-plugins-bad Plugins">
<link rel="prev" href="gst-plugins-bad-plugins-plugin-gaudieffects.html" title="gaudieffects">
<link rel="next" href="gst-plugins-bad-plugins-plugin-gsm.html" title="gsm">
<meta name="generator" content="GTK-Doc V1.20 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="10"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="ch02.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="gst-plugins-bad-plugins-plugin-gaudieffects.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="gst-plugins-bad-plugins-plugin-gsm.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="gst-plugins-bad-plugins-plugin-geometrictransform"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle">geometrictransform</span></h2>
<p>geometrictransform — <a name="plugin-geometrictransform"></a>Various geometric image transform elements</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="id-1.3.20.3"></a><h2>Plugin Information</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term">filename</span></p></td>
<td>libgstgeometrictransform.so</td>
</tr>
<tr>
<td><p><span class="term">version</span></p></td>
<td>1.4.0</td>
</tr>
<tr>
<td><p><span class="term">run-time license</span></p></td>
<td>LGPL</td>
</tr>
<tr>
<td><p><span class="term">package</span></p></td>
<td>GStreamer Bad Plug-ins source release</td>
</tr>
<tr>
<td><p><span class="term">origin</span></p></td>
<td>Unknown package origin</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="id-1.3.20.4"></a><h2>Elements</h2>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-bulge.html" title="bulge">bulge</a></span></p></td>
<td>Adds a protuberance in the center point</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-circle.html" title="circle">circle</a></span></p></td>
<td>Warps the picture into an arc shaped form</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-diffuse.html" title="diffuse">diffuse</a></span></p></td>
<td>Diffuses the image by moving its pixels in random directions</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-fisheye.html" title="fisheye">fisheye</a></span></p></td>
<td>Simulate a fisheye lens by zooming on the center of the image and compressing the edges</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-kaleidoscope.html" title="kaleidoscope">kaleidoscope</a></span></p></td>
<td>Applies 'kaleidoscope' geometric transform to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-marble.html" title="marble">marble</a></span></p></td>
<td>Applies a marbling effect to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-mirror.html" title="mirror">mirror</a></span></p></td>
<td>Split the image into two halves and reflect one over each other</td>
</tr>
<tr>
<td><p><span class="term">perspective</span></p></td>
<td>Apply a 2D perspective transform</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-pinch.html" title="pinch">pinch</a></span></p></td>
<td>Applies 'pinch' geometric transform to the image</td>
</tr>
<tr>
<td><p><span class="term">rotate</span></p></td>
<td>Rotates the picture by an arbitrary angle</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-sphere.html" title="sphere">sphere</a></span></p></td>
<td>Applies 'sphere' geometric transform to the image</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-square.html" title="square">square</a></span></p></td>
<td>Distort center part of the image into a square</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-stretch.html" title="stretch">stretch</a></span></p></td>
<td>Stretch the image in a circle around the center point</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-tunnel.html" title="tunnel">tunnel</a></span></p></td>
<td>Light tunnel effect</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-twirl.html" title="twirl">twirl</a></span></p></td>
<td>Twists the image from the center out</td>
</tr>
<tr>
<td><p><span class="term"><a class="link" href="gst-plugins-bad-plugins-waterripple.html" title="waterripple">waterripple</a></span></p></td>
<td>Creates a water ripple effect on the image</td>
</tr>
</tbody>
</table></div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.20</div>
</body>
</html>